function startUp() {
    
    chrome.storage.sync.get("database", function(result) {
        if (result.database) {
            // get last update in dd/mm/yyyy hh/mm format
            var lastUpdate = new Date(result.database.lastUpdate);
            var dd = lastUpdate.getDate();
            var mm = lastUpdate.getMonth() + 1;
            var yyyy = lastUpdate.getFullYear();
            var hh = lastUpdate.getHours();
            var min = lastUpdate.getMinutes();
            if (dd < 10) {
                dd = '0' + dd;
            }
            if (mm < 10) {
                mm = '0' + mm;
            }
            if (hh < 10) {
                hh = '0' + hh;
            }
            if (min < 10) {
                min = '0' + min;
            }
            document.querySelector('.lastUpdate').innerHTML = dd + '/' + mm + '/' + yyyy + ' ' + hh + ':' + min;
            document.querySelector('.dbEntries').innerHTML = result.database.totalLinks;


            //document.querySelector('.lastUpdate').innerHTML = lastUpdate;
        }
    })
    chrome.storage.sync.get("enabled_funcs", function(result) {
        if (result.enabled_funcs) {
            document.querySelector('.checkbox_troll').checked = result.enabled_funcs.troll;
            document.querySelector('.checkbox_jumpscare').checked = result.enabled_funcs.jumpscare;
            document.querySelector('.checkbox_rickroll').checked = result.enabled_funcs.rickroll;
            document.querySelector('.checkbox_other').checked = result.enabled_funcs.other;
        }
    })
}

document.addEventListener('DOMContentLoaded', function () {
    document.querySelector('.checkbox_troll').addEventListener('click', updateSettings);
    document.querySelector('.checkbox_jumpscare').addEventListener('click', updateSettings);
    document.querySelector('.checkbox_rickroll').addEventListener('click', updateSettings);
    document.querySelector('.checkbox_other').addEventListener('click', updateSettings);
    document.querySelector('.button_update').addEventListener('click', updateDatabase);
    var labels = document.getElementsByTagName('label');
    for (var i = 0; i < labels.length; i++) {
        disableSelection(labels[i]);
    }
    startUp();
});

function disableSelection(element) {
    if (typeof element.onselectstart != 'undefined') {
        element.onselectstart = function() { return false; };
    } else if (typeof element.style.MozUserSelect != 'undefined') {
        element.style.MozUserSelect = 'none';
    } else {
        element.onmousedown = function() { return false; };
    }
}


function updateDatabase() {
    chrome.runtime.sendMessage({
        action: "updateDatabase"
    });
}

function updateSettings() { 
    var enabled_funcs = { "troll": false, "jumpscare": false, "rickroll": false, "other": false };
    
    enabled_funcs["troll"] = document.querySelector('.checkbox_troll').checked;
    enabled_funcs["jumpscare"] = document.querySelector('.checkbox_jumpscare').checked;
    enabled_funcs["rickroll"] = document.querySelector('.checkbox_rickroll').checked;
    enabled_funcs["other"] = document.querySelector('.checkbox_other').checked;
    
    chrome.storage.sync.set({
        enabled_funcs: enabled_funcs
    });
}